{% extends "base.html" %}

{% block content %}
    <h2>Rental-test</h2>
    <div>
        <form action>
        <label for="category_select">Choose a category:</label>
        <select name="category_select" id="current_category">
            <option value="0">--If you want a category filter--</option>
            {% for category in category_list %}
                <option value="{{ category.id }}">{{ category.category }} ({{ category.id }})</option>
            {% endfor %}
        </select>

        <label for="manufacturer_select">Choose a manufacturer:</label>
        <select name="manufacturer_select" id="current_manufacturer">
            <option value="0">--If you want a manufacturer filter--</option>
            {% for manufacturer in manufacturer_list %}
                <option value="{{ manufacturer.id }}">{{ manufacturer.m_name }} ({{ manufacturer.id }})</option>
            {% endfor %}
        </select>

        <input type="submit" value="Filter" class="btn btn-primary">
        </form>
    </div>


    {% if current_manufacturer == 0 and current_category == 0 %}
        {% if item_list %}
            <h2>Rental-test-filter ALL</h2>
            <h2>No filters used.</h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in item_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% elif current_category == 0 and current_manufacturer > 0 %}
        {% if manufacturer_filter_list %}
            <h2>Rental-test-filter MANUFACTURER</h2>
            <h2>You choose filter for manufacturer:
                {% for manufacturer in current_manufacturer_name %}
                    <b style="text-transform:uppercase">{{ manufacturer.m_name }} </b>
                {% endfor %}
            </h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in manufacturer_filter_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% elif current_manufacturer == 0 and current_category > 0%}
        {% if category_filter_list %}
            <h2>Rental-test-filter CATEGORY</h2>
            <h2>You choose filter for category:
                {% for category in current_category_name %}
                    <b style="text-transform:uppercase">{{ category.category }} </b>
                {% endfor %}
            </h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in category_filter_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% else %}
        {% if combination_filter_list %}
        <h2>Rental-test-filter COMBINATION</h2>
        <h2>You choose filter for category:
            {% for category in current_category_name %}
                <b style="text-transform:uppercase">{{ category.category }} </b>
            {% endfor %}
            and manufacturer:
            {% for manufacturer in current_manufacturer_name %}
                <b style="text-transform:uppercase">{{ manufacturer.m_name }} </b>
            {% endfor %}
        </h2>
        <div class="wrapper" style="margin: 10px">
            {% for item in combination_filter_list %}
                {% include 'rental_review_card.html' %}
            {% endfor %}
        </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% endif %}

{% endblock %}